mbed TLS v2.16.3: mbedtls_rsa_context Struct Reference

mbed TLS v2.16.3

Data Fields
mbedtls_rsa_context Struct Reference

The RSA context structure. More...

`#include <rsa.h>`

Collaboration diagram for mbedtls_rsa_context:
[legend]

## Data Fields
int | ver
size_t | len
mbedtls_mpi | N
mbedtls_mpi | E
mbedtls_mpi | D
mbedtls_mpi | P
mbedtls_mpi | Q
mbedtls_mpi | DP
mbedtls_mpi | DQ
mbedtls_mpi | QP
mbedtls_mpi | RN
mbedtls_mpi | RP
mbedtls_mpi | RQ
mbedtls_mpi | Vi
mbedtls_mpi | Vf
int | padding
int | hash_id

## Detailed Description

The RSA context structure.

Note
  Direct manipulation of the members of this structure is deprecated. All manipulation should instead be done through the public interface functions.

Definition at line 100 of file rsa.h.

## Field Documentation

## ◆ D

mbedtls_mpi mbedtls_rsa_context::D

The private exponent.

Definition at line 108 of file rsa.h.

## ◆ DP

mbedtls_mpi mbedtls_rsa_context::DP

`D % (P - 1)`.

Definition at line 112 of file rsa.h.

## ◆ DQ

mbedtls_mpi mbedtls_rsa_context::DQ

`D % (Q - 1)`.

Definition at line 113 of file rsa.h.

## ◆ E

mbedtls_mpi mbedtls_rsa_context::E

The public exponent.

Definition at line 106 of file rsa.h.

## ◆ hash_id

int mbedtls_rsa_context::hash_id

Hash identifier of mbedtls_md_type_t type, as specified in md.h for use in the MGF mask generating function used in the EME-OAEP and EMSA-PSS encodings.

Definition at line 127 of file rsa.h.

## ◆ len

size_t mbedtls_rsa_context::len

The size of `N` in Bytes.

Definition at line 103 of file rsa.h.

## ◆ N

mbedtls_mpi mbedtls_rsa_context::N

The public modulus.

Definition at line 105 of file rsa.h.

## ◆ P

mbedtls_mpi mbedtls_rsa_context::P

The first prime factor.

Definition at line 109 of file rsa.h.

## ◆ padding

int mbedtls_rsa_context::padding

Selects padding mode: MBEDTLS_RSA_PKCS_V15 for 1.5 padding and MBEDTLS_RSA_PKCS_V21 for OAEP or PSS.

Definition at line 124 of file rsa.h.

## ◆ Q

mbedtls_mpi mbedtls_rsa_context::Q

The second prime factor.

Definition at line 110 of file rsa.h.

## ◆ QP

mbedtls_mpi mbedtls_rsa_context::QP

`1 / (Q % P)`.

Definition at line 114 of file rsa.h.

## ◆ RN

mbedtls_mpi mbedtls_rsa_context::RN

cached `R^2 mod N`.

Definition at line 116 of file rsa.h.

## ◆ RP

mbedtls_mpi mbedtls_rsa_context::RP

cached `R^2 mod P`.

Definition at line 118 of file rsa.h.

## ◆ RQ

mbedtls_mpi mbedtls_rsa_context::RQ

cached `R^2 mod Q`.

Definition at line 119 of file rsa.h.

## ◆ ver

int mbedtls_rsa_context::ver

Always 0.

Definition at line 102 of file rsa.h.

## ◆ Vf

mbedtls_mpi mbedtls_rsa_context::Vf

The cached un-blinding value.

Definition at line 122 of file rsa.h.

## ◆ Vi

mbedtls_mpi mbedtls_rsa_context::Vi

The cached blinding value.

Definition at line 121 of file rsa.h.

The documentation for this struct was generated from the following file:

- rsa.h